=== debian/changelog ===
ros-iron-geometric-shapes (2.1.3-4jammy) jammy; urgency=high

  * [jammy] Fix assimp linking and cmake error (#215 <https://github.com/ros-planning/geometric_shapes/issues/215>)
  * Contributors: Vatan Aksoy Tezer

 -- Tyler Weaver <tyler@picknik.ai>  Mon, 07 Mar 2022 16:00:00 -0000

ros-iron-geometric-shapes (2.1.2-4jammy) jammy; urgency=high

  * Fix cmake such that Boost::filesystem is exported properly (#206 <https://github.com/ros-planning/geometric_shapes/issues/206>)
    Co-authored-by: Jordan Lack <mailto:jlack@houstonmechatronics.com>
  * Contributors: Jafar Abdi

 -- Tyler Weaver <tyler@picknik.ai>  Tue, 21 Dec 2021 16:00:00 -0000

ros-iron-geometric-shapes (2.1.1-4jammy) jammy; urgency=high

  * Changed retriever.h to retriever.hpp in mesh_operations.cpp in order to align with resource_retriever ros2 branch (#200 <https://github.com/ros-planning/geometric_shapes/issues/200>)
  * Add Copyright and LICENSE files
  * Fix building on Windows with MSVC (#189 <https://github.com/ros-planning/geometric_shapes/issues/189>)
  * Contributors: Akash, Diego Rojas, Mark Moll, Tyler Weaver, Vatan Aksoy Tezer

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 26 Sep 2021 16:00:00 -0000

ros-iron-geometric-shapes (2.1.0-4jammy) jammy; urgency=high

  * Add Galactic CI, cleanup rolling (#190 <https://github.com/ros-planning/geometric_shapes/issues/190>)
  * Sync ros2 branch with noetic-devel up to d147f03 <https://github.com/ros-planning/geometric_shapes/commit/d147f0371afbece0b8c93a2d2d55149a284d5192> (#190 <https://github.com/ros-planning/geometric_shapes/issues/190>)
  * Contributors: Jafar Abdi, Henning Kayser, Vatan Aksoy Tezer

 -- Tyler Weaver <tyler@picknik.ai>  Mon, 14 Jun 2021 16:00:00 -0000

ros-iron-geometric-shapes (2.0.2-4jammy) jammy; urgency=high

  * Declare assimp add qhull as SYSTEM dependency to suppress compiler warnings (#186 <https://github.com/ros-planning/geometric_shapes/issues/186>)
  * Fix export depends (#182 <https://github.com/ros-planning/geometric_shapes/issues/182>)
  * Add rolling to CI test (#179 <https://github.com/ros-planning/geometric_shapes/issues/179>)
  * Contributors: Jafar Abdi, Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Fri, 21 May 2021 16:00:00 -0000

ros-iron-geometric-shapes (2.0.1-4jammy) jammy; urgency=high

  * Set target compile options in cmake for warnings
  * [fix] cmake install command (#164 <https://github.com/ros-planning/geometric_shapes/issues/164>)
  * Contributors: Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 08 Apr 2021 16:00:00 -0000

ros-iron-geometric-shapes (2.0.0-4jammy) jammy; urgency=high

  * [maint] Travis: Disable warnings as gcc warns about redundant declarations in qhull includes
  * [maint] Inherit package VERSION (for library soname) from package.xml
  * [maint] Trim boost dependencies #156 <https://github.com/ros-planning/geometric_shapes/issues/156>
    * libboost-math libraries unnecessary as only headers-only parts are used
    * move author tags below to comply with the xsd
  * [maint] Compile on ROS2 Foxy (#153 <https://github.com/ros-planning/geometric_shapes/issues/153>)
    * Suppress assimp CMP0012 policy warning
    * Use console_bridge_vendor dependency wrapper
    * Fix CMakeLists issues:remove ASSIMP export dependency
    
    fix linking of OCTOMAP, resource_retriever
  * [maint] Resolve octomap dependency with rosdep (#124 <https://github.com/ros-planning/geometric_shapes/issues/124>)
  * [maint] struct SolidPrimitiveDimCount -> function solidPrimitiveDimCount() (#121 <https://github.com/ros-planning/geometric_shapes/issues/121>)
  * [ros2-migration] Port to ROS 2 (#122 <https://github.com/ros-planning/geometric_shapes/issues/122>)
    * Migrate CMakeLists.txt, package.xml, messages
    * Enable Travis: Run on ROS 2, enable ament_lint_cmake
  * Contributors: Henning Kayser, Mikael Arguedas, Robert Haschke, Víctor Mayoral Vilches

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 19 Nov 2020 16:00:00 -0000

ros-iron-geometric-shapes (0.7.2-4jammy) jammy; urgency=high

  * [maint] Renamed SolidPrimitiveDimCount<shape>::value -> solidPrimitiveDimCount<shape>() (#121 <https://github.com/ros-planning/geometric_shapes/issues/121>)
  * [maint] cmake: Consistently use uppercase letters for QHULL dependency
  * [maint] cmake: Fix assimp warning
  * [maint] Update build badges for Noetic
  * Contributors: Robert Haschke

 -- Tyler Weaver <tyler@picknik.ai>  Thu, 24 Sep 2020 16:00:00 -0000

ros-iron-geometric-shapes (0.7.1-4jammy) jammy; urgency=high

  * [maint] Declare external includes as SYSTEM includes
  * [maint] Migration to reentrant qhull (#149 <https://github.com/ros-planning/geometric_shapes/issues/149>)
  * [maint] Use soname version for library (#157 <https://github.com/ros-planning/geometric_shapes/issues/157>)
  * Contributors: Jochen Sprickerhof, Robert Haschke, Tyler Weaver

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 30 Aug 2020 16:00:00 -0000

ros-iron-geometric-shapes (0.7.0-4jammy) jammy; urgency=high

  * [feature] Added constructShapeFromBody() and constructMarkerFromBody() (#138 <https://github.com/ros-planning/geometric_shapes/issues/138>)
  * [maint]   API cleanup
    * Improve inlining
    * ConvexMesh::MeshData as pimpl
    * Reverted ABI compatibility fixups for Melodic: ed4cf1339cf3765ae9ffa6e6fd111a4e342c5fa2, d582479084a10cac53a7f17e29818b3d8be6161e
  * Contributors: Martin Pecka, Robert Haschke

 -- Tyler Weaver <tyler@picknik.ai>  Sun, 24 May 2020 16:00:00 -0000

ros-iron-geometric-shapes (0.6.3-4jammy) jammy; urgency=high

  * [maint]   Provide checkIsometry() helper function (#144 <https://github.com/ros-planning/geometric_shapes/issues/144>)
  * [maint]   Remove dynamic casts (#143 <https://github.com/ros-planning/geometric_shapes/issues/143>)
  * [feature] Added createEmptyBodyFromShapeType() (#137 <https://github.com/ros-planning/geometric_shapes/issues/137>)

